complexType "CashflowObservation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | underlyerReference?, underlyingAsset?, observationDate?, observedValue?, weight?
</...>

Content Model Elements (5):

  observationDate, observedValue, underlyerReference (in observationElements), | underlyingAsset, weight (in observationElements)

All Direct / Indirect Based Elements (1):

  observationElements

Known Usage Locations

- As direct type of elements (1):
  observationElements

Annotation
An observation of a rate or a price of an underlyer used in the computation of a cash flow amount.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="CashflowObservation"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyerReference" type="TradeUnderlyerReference"/> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" name="observationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observedValue" type="BasicQuotation"/> <xsd:element minOccurs="0" name="weight" type="xsd:decimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
observationDate

  Type: | xsd:date, predefined, simple content

  The date when the rate is observed. Corresponds to adjustedFixingDate on the Interest Rate Derivatives subschema.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationDate" type="xsd:date"/>

observedValue

  Type: | BasicQuotation, complex content

  The observed rate or price, together with descriptive information such as units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observedValue" type="BasicQuotation"/>

underlyerReference

  Type: | TradeUnderlyerReference, empty content

  The underlyer whose rate or price is observed. Reference to an underlyer defined within the calculationElements structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyerReference" type="TradeUnderlyerReference"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 12 elements

  In cases where the underlying index is observed by observing the value of a specific security different from the index (typically a futures price), the specific security whose price was observed. For example, the underlying index might be NYMEX Crude Oil, and the underlying asset whose price is observed on a particular day might be CLU7. The index is specified via the underlyerReference, while the specific asset is specified via the underlyingAsset.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

weight

  Type: | xsd:decimal, predefined, simple content

  The factor used to weight the observation in computing a weighted average. This is typically based on the number of days weighting to be associated with the rate observation, i.e. the number of days such rate is in effect. This is applicable in the case of a weighted average method of calculation where more than one observate date is established for a single calculation period. If omitted all observations are weighted equally. For Equity Derivatives Products it defines the basket percentage.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weight" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.